Contact Free trial Login

Microsoft .NET Connector Release Notes - Mule 4

Support Category: Select

Anypoint Connector for Microsoft .NET (Microsoft .NET Connector) lets you execute native .NET code in a Mule app.

3.0.4

May 29, 2020

Compatibility

Microsoft .NET Connector is compatible with:

App/Service Version

Mule

4.1.1 and later

Anypoint Studio

7.0.0 and later

Java

8

Fixed Issues

  • Updated the com.fasterxml.jackson.core:jackson-databind:2.9.0 dependency to com.fasterxml.jackson.core:jackson-databind:2.11.0 to fix vulnerability issues. (CONN-6045)

  • Deleted the following dependencies to fix vulnerability issues (CONN-6045):

    • log4j:log4j:1.2.17

    • dotnet:dotnetutils:1.0.0.0

3.0.3

February 14, 2020

Compatibility

Microsoft .NET Connector is compatible with:

App/Service Version

Mule

4.1.1 and later

Anypoint Studio

7.0.0 and later

Java

8

Fixed Issues

  • Test connection failed. (SE-14227)

  • Metadata was not populating. (SE-14228)

  • Leaving the Arguments input blank or setting it to null, always caused an error. (SE-14191)

3.0.2

September 12, 2019

Compatibility

Microsoft .NET Connector is compatible with:

App/Service Version

Mule

4.1.1 and later

Anypoint Studio

7.0.0 and later

Fixed Issues

  • Redeployment fails when using the .NET Connector in Windows. (SE-9882)

Known issues

  • The .NET connector is not compatible with Mule 4.2.0 and later.

3.0.1

August 14, 2019

Compatibility

The Microsoft .NET Connector is compatible with:

App/Service Version

Mule

4.1.1 and later

Anypoint Studio

7.0.0 and later

Fixed Issues

  • Microsoft .NET connector was unable to handle complex objects and threw an Invalid JavaScript property identifier error. (SE-9730)

Known issues

  • Redeployment fails when using the .NET connector on Windows. (SE-9882)

  • The .NET connector is not compatible with Mule 4.2.0 and later.

3.0.0

June 22, 2018

This release provides Mule 4 support.

Compatibility

The Microsoft .NET Connector is compatible with:

App/Service Version

Mule

4.1.1 and later

Anypoint Studio

7.0.0 and later

Was this article helpful?

💙 Thanks for your feedback!